package com.zhkj.screensetting;

import cn.hutool.core.io.FileUtil;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.File;
import java.util.List;

@SpringBootTest
class ScreenSettingApplicationTests {

	@Test
	void contextLoads() {
	}

	/**
	 * 创建文件
	 */
	@Test
	void createJsonFile(){
		File fileJson = FileUtil.file(System.getProperty("user.dir") + "/src/main/resources/json/test.json");
		System.out.println("文件路径：" + fileJson.getPath());
		FileUtil.writeUtf8String("{\"fdsfd\":\"dddd\",\"gggg\":\"fdsffffff\"}",fileJson);
	}

	/**
	 * 遍历文件
	 */
	@Test
	void getJsonFile(){
		List<File> fileList = FileUtil.loopFiles(System.getProperty("user.dir") + "/src/main/resources/json/");
		for(File file : fileList){
			System.out.println("文件名称：" + file.getName());
		}
	}

	/**
	 * 判断文件是否存在
	 */
	@Test
	void exitFile(){
		System.out.println(FileUtil.exist(System.getProperty("user.dir") + "/src/main/resources/json/heihei.json"));
	}

	/**
	 * 删除文件
	 */
	@Test
	void delFile(){
		FileUtil.del(System.getProperty("user.dir") + "/src/main/resources/json/ffff.json");
	}

	/**
	 * 读取文件
	 */
	@Test
	void readFile(){
		String jsonStr = FileUtil.readUtf8String(System.getProperty("user.dir") + "/src/main/resources/json/test.json");
		System.out.println("数据：" + jsonStr);
	}

}
